mscorlib 2.0.0.0 2.0.0.0 4.0.0.0 System.Runtime.InteropServices.CriticalHandle

This class derives from the class. It describes the format of an invalid handle that uses a value of -1. Further derivations of this class (for example, file or registry handles) can specialize this further.

See the class for important information on critical handle security and thread safety.

Provides a base class for Win32 critical handle implementations in which the value of -1 indicates an invalid handle.

- Constructor
  2.0.0.0
  4.0.0.0
  System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.MayFail)
  To be added.

  Initializes a new instance of the class.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  The common language runtime uses this property to determine whether critical finalization is required.

  Gets a value that indicates whether the handle is invalid.